<?php

/**
 * Class EkomiIntegrationModuleCenterModule.
 *
 * This is a EkomiIntegration overload for the AbstractModuleCenterModule.
 *
 * @see AbstractModuleCenterModule
 *
 * @extends    AbstractModuleCenterModule
 *
 * @category   System
 *
 * @author     eKomi Ltd <support@ekomi.de>
 */
class EkomiIntegrationModuleCenterModule extends AbstractModuleCenterModule
{
    /**
     * Initializes the plugins.
     *
     * This function initialize the language and sets the sorting.
     */
    protected function _init()
    {
        $terms = gm_get_conf('EKOMIINTEGRATION_TERMS_AND_CONDITIONS');
        (!isset($terms)) ? gm_set_conf('EKOMIINTEGRATION_TERMS_AND_CONDITIONS', 1) : '';
        $this->title = $this->languageTextManager->get_text('ekomiIntegration_title');
        $this->description = $this->languageTextManager->get_text('ekomiIntegration_description');
        $this->sortOrder = 87330;
    }
}
