# plugin-gambioGX3.0-integration

eKomi Plugin for Gambio GX3.0 allows you to integrate your Gambio GX3.0 easily with eKomi system. This allows you to collect verified reviews, display eKomi seal on your website and get your seller ratings on Google. This helps you increase your website's click through rates, conversion rates and also, if you are running Google AdWord Campaigns, this helps in improving your Quality Score and hence your costs per click.

<p>
<strong>eKomi Reviews and Ratings allows you to:</strong>
</p>
<ul>
<li>Collect order and/or product base Reviews</li>
<li>Supports Simple, Configurable, Grouped and Bundle products</li>
<li>Manage Reviews: our team of Customer Feedback Managers, reviews each and every review for any terms which are not allowed and also put all negative reviews in moderation.</li>
<li>Publish reviews on search engines: Google, Bing, Yahoo!</li>
<li>Easy Integration with eKomi.</li>
<li>Get Google Seller Ratings.</li>
<li>Increase Click through Rate by over 17%</li>
<li>Increase conversion Rate</li>
</ul>

<p>eKomi is available in English, French, German, Spanish, Dutch, Italian, Russian and Polish<br />If you have any questions regarding the plugin, please contact your eKomi Account Manager.</p>

<p><b>Please note</b> that you will need an eKomi account to use the plugin. To create an eKomi account, go to 
<a href='http://eKomi.com'>eKomi.com</a>

## System Requirements

- Gambio GX3.0 platform

## Known issues
- Not any known issue  

## Guides
1. [User Guide](https://ekomi01.atlassian.net/wiki/display/PD/Documentation++Gambio+GX3)

### Installation

Follow these steps to install the plugin.

1. Download the plugin

2. Extract the zip file

3. Copy the extracted files and paste in root directory

4. Login to Admin Panel
 
5. Click on Toolbox
 
6. Clear Cache

7. Go To Modules 
 
8. Install Ekomi Integration Module

9. Click on Edit Configurations
 
11. Set Enabled to “Yes” and save configuration


## Built With

* Gambio GX3.0 framework

## Versioning

### 1.0.0 (03-01-2017)

- A complete working plugin

### 1.0.1 (16-01-2018)

- Add recipeint & getSettings urls changed

### 1.0.2 (12-03-2018)

- Description updated
- Translations updated

### 2.0.0 (24-07-2019)

- Added Smart check feature.
- Added Option to select product identifier id/sku 
- Option to exclude products for which review request will not be sent
- Sending product image and URL
- Integration of smart widget with integration plugin
- Added option to show Tab for Smart Widget automatically.

### 2.0.1 (11-12-2019)

- Removed option to enable/disable smart check.

### 2.1.0 (16-03-2021)

- Add terms & conditions field.

### 2.1.1 (08-04-2021)

- Disable PRC token fields

### 2.1.2 (12-01-2022)

- Add core api param

## Authors

* **eKomi** - [github profile](https://github.com/ekomi-ltd)

See also the list of [contributors](plugin-gambioGX3.0-integration/graphs/contributors) who participated in this project.

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details
